
Redmine - Defect #8853

Filter on subproject does not work

2011-07-19 19:47 - Joshua Stein

Status: Closed Start date: 2011-07-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.2.1

Description

filtering an issue list based on subproject does not work.

Steps to Reproduce:

1. Go to the Issues list for a project that has sub-projects

2. Add a filter for "Subproject"

3. set "Subproject" is subproject name

Notice that results are not filtered.

This bug was found on our own Redmine server running 1.0.1.  It was upgraded to 1.2.1 but the bug still exists.

I then tried on the Redmine Demo site. It is still an issue there.

I saved a query for sample.

http://demo.redmine.org/projects/11111project/issues?query_id=134

Related issues:

Related to Redmine - Defect #8603: Query 'without subprojects' cannot be created New 2011-06-14

Related to Redmine - Feature #3952: Filtering by subproject still shows curre... New 2009-10-01

Is duplicate of Redmine - Defect #2512: Subproject filter do not work Closed 2009-01-15

History

#1 - 2012-02-22 21:02 - Joshua Stein

this issue may be related to Issue #8603.

#2 - 2012-03-20 13:33 - Jens Krämer

- File subprojects_query_filter_fix.patch added

Attached is a patch against 1.3-stable that fixes the issue by only finding issues from the selected sub projects, but excluding issues from the parent

project.

The patch also fixes the german translation of field_subproject (which until now was more like 'subproject of' which is wrong given the way the query

works).

#3 - 2012-12-18 01:45 - Anonymous

This issue still affects new versions of Redmine (using 2.0.3-stable).

#4 - 2013-07-12 16:16 - Олег Петрачев

I have the same issue with 2.3.0.

#5 - 2013-12-04 15:04 - Filip Wuyts

Issue still exists in 2.4.1

#6 - 2016-12-19 20:02 - Ilya Popov

Problem still exists in 3.3.1 and 3.3.0. When filtering based on subproject also getting issues from the parent project.

Environment:
Redmine version                3.3.1.stable

Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

#7 - 2016-12-24 06:33 - Go MAEDA

- Category set to Issues filter

#8 - 2016-12-24 06:47 - Go MAEDA

- Is duplicate of Defect #2512: Subproject filter do not work added

#9 - 2016-12-24 06:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Jean-Phillipe Lang said that "this is not a bug but a design choice" in #2512#note-3.

#10 - 2016-12-25 05:10 - Mischa The Evil

Go MAEDA wrote:

Jean-Phillipe Lang said that "this is not a bug but a design choice" in #2512#note-3.

 FWIW and FTR: Jean-Phillipe Lang also expressed (in #5388-1: "Maybe we should change this behaviour.") that it might be a good time to change

the current behaviour to omit the current project's issues; as was achieved by the, meanwhile, outdated patch by Jens. Therefor I'd recommend to

continue discussion about this change in the current issue, tracking the proposal to change the current behaviour, which is #3952. I also recommend

to transfer Jens's patch to it, so that it can be updated/refined through that issue.

#11 - 2016-12-25 05:14 - Mischa The Evil

- Related to Feature #3952: Filtering by subproject still shows current project's issues added

Files

subprojects_query_filter_fix.patch 2.03 KB 2012-03-20 Jens Krämer
